- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AcquireCacheView
- CloseCacheView
- GetCacheView
- GetCacheViewIndexes
- GetCacheViewPixels
- OpenCacheView
- SetCacheView
- SyncCacheView

# NAME

cache-view - Unknown

# SYNOPSIS

const PixelPacket * AcquireCacheView( const ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception );

void CloseCacheView( ViewInfo *view_info );

PixelPacket * GetCacheView( ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows );

IndexPacket * GetCacheViewIndexes( const ViewInfo *view_info );

PixelPacket * GetCacheViewPixels( const ViewInfo *view_info );

ViewInfo * OpenCacheView( Image *image );

PixelPacket * SetCacheView( ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows );

MagickBooleanType SyncCacheView( ViewInfo *view_info );

# FUNCTION DESCRIPTIONS

## AcquireCacheView

> AcquireCacheView() gets pixels from the in-memory or disk pixel cache as defined by the geometry parameters. A pointer to the pixels is returned if the pixels are transferred, otherwise a NULL is returned.

The format of the AcquireCacheView method is:

> const PixelPacket *AcquireCacheView ( const ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

x,y,columns,rows:
  These values define the perimeter of a region of pixels.

exception:
  Return any errors or warnings in this structure.

## CloseCacheView

> CloseCacheView() closes the specified view returned by a previous call to OpenCacheView ( ) .

The format of the CloseCacheView method is:

> void CloseCacheView ( ViewInfo *view_info );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

## GetCacheView

> GetCacheView() gets pixels from the in-memory or disk pixel cache as defined by the geometry parameters. A pointer to the pixels is returned if the pixels are transferred, otherwise a NULL is returned.

The format of the GetCacheView method is:

> PixelPacket *GetCacheView ( ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows );

A description of each parameter follows:

pixels:
  Method GetCacheView returns a null pointer if an error occurs, otherwise a pointer to the view_info pixels.

view_info:
  The address of a structure of type ViewInfo.

x,y,columns,rows:
  These values define the perimeter of a region of pixels.

## GetCacheViewIndexes

> GetCacheViewIndexes() returns the indexes associated with the specified view.

The format of the GetCacheViewIndexes method is:

> IndexPacket *GetCacheViewIndexes ( const ViewInfo *view_info );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

## GetCacheViewPixels

> GetCacheViewPixels() returns the pixels associated with the specified view.

The format of the GetCacheViewPixels method is:

> PixelPacket *GetCacheViewPixels ( const ViewInfo *view_info );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

## OpenCacheView

> OpenCacheView() opens a view into the pixel cache.

The format of the OpenCacheView method is:

> ViewInfo *OpenCacheView ( Image *image );

A description of each parameter follows:

image:
  The image.

## SetCacheView

> SetCacheView() gets pixels from the in-memory or disk pixel cache as defined by the geometry parameters. A pointer to the pixels is returned if the pixels are transferred, otherwise a NULL is returned.

The format of the SetCacheView method is:

> PixelPacket *SetCacheView ( ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

x,y,columns,rows:
  These values define the perimeter of a region of pixels.

## SyncCacheView

> SyncCacheView() saves the view_info pixels to the in-memory or disk cache. The method returns MagickTrue if the pixel region is synced, otherwise MagickFalse.

The format of the SyncCacheView method is:

> MagickBooleanType SyncCacheView ( ViewInfo *view_info );

A description of each parameter follows:

view_info:
  The address of a structure of type ViewInfo.

"Image manipulation software that works like magick"